/*******************************************************************************
 * InterpTrackVisibility generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class InterpTrackVisibility extends InterpTrack
    native(Interpolation)
    collapsecategories
    hidecategories(Object);

enum EVisibilityTrackAction
{
    EVTA_Hide,
    EVTA_Show,
    EVTA_Toggle,
    EVTA_MAX
};

enum EVisibilityTrackCondition
{
    EVTC_Always,
    EVTC_GoreEnabled,
    EVTC_GoreDisabled,
    EVTC_MAX
};

struct native VisibilityTrackKey
{
    var float Time;
    var() InterpTrackVisibility.EVisibilityTrackAction Action;
    var InterpTrackVisibility.EVisibilityTrackCondition ActiveCondition;

    structdefaultproperties
    {
        Time=0.0
        Action=EVisibilityTrackAction.EVTA_Hide
        ActiveCondition=EVisibilityTrackCondition.EVTC_Always
    }
};

var array<VisibilityTrackKey> VisibilityTrack;
var() bool bFireEventsWhenForwards;
var() bool bFireEventsWhenBackwards;
var() bool bFireEventsWhenJumpingForwards;

defaultproperties
{
    bFireEventsWhenForwards=true
    bFireEventsWhenBackwards=true
    bFireEventsWhenJumpingForwards=true
    TrackInstClass=class'InterpTrackInstVisibility'
    TrackTitle="Visibility"
}